package cn.newfeifan.mall.module.member.controller.app.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import javax.validation.constraints.NotNull;

@Schema(description = "用户 APP - 手机 + 验证码登录 Request VO,如果登录并绑定社交用户，需要传递 social 开头的参数")
@Data
public class AppAuthSmsRegisterReqVO extends AppAuthSmsLoginReqVO {

    @Schema(description = "分享链接ID")
    @NotNull(message = "只能通过分享注册")
    private String linkId;

    public Long getLinkId() {
        if (linkId == null) {
            return null;
        }
        return Long.parseLong(linkId,16);
    }
}